<template>
  <header class="header">
    <headerNavBar/>
    <div class="container header-nav">
      <div class="d-flex align-items-center justify-content-between">
        <div class="header-logo">
          <div>
            <router-link to="/">
              <img src="@/assets/images/header-img/Logo.svg" alt="NAKED OPTICS"/>
            </router-link>
          </div>
        </div>
        <div class="header-menu text-uppercase d-flex">
          <router-link to="/optics">
            <a href="#">Optics</a>
          </router-link>
          <router-link to="/clothing">
            <a href="#">Clothing</a>
          </router-link>
          <router-link to="/outlet">
            <a class="text-danger" href="#">Outlet</a>
          </router-link>
          <router-link to="/naked-heroes">
            <a href="#">Naked Heroes</a>
          </router-link>
          <router-link to="/stories">
            <a href="#">Stories</a>
          </router-link>
        </div>
        <div class="header-login bag">
          <a href="#"
          ><img src="@/assets/images/header-img/search.svg" alt="search"
          /></a>
          <router-link to="/login">
            <a href="#"
            ><img src="@/assets/images/header-img/user.svg" alt="user-profile"
            /></a>
          </router-link>
          <a href="#"
          ><img
              src="@/assets/images/header-img/u_shopping-bag.svg"
              alt="shipping-bag"
          /></a>
          <div class="nav__counter js-cart-counter" data-cart-count="">0</div>
        </div>
      </div>
    </div>
  </header>
</template>

<script>
import headerNavBar from "@/components/headerNavBar.vue";

export default {
  name: "VHeader",
  components: {headerNavBar}

}
</script>

<style scoped>
.header {
  position: sticky;
  top: 0;
  z-index: 99;
  background-color: #fff;
  overflow: hidden;
}

.header-nav {
  padding: 24px 0;
}

.header-menu {
  gap: 40px;
}

.header-login {
  display: flex;
  gap: 20px;
  align-items: center;
}

.header-login a img:hover {
  opacity: 0.7;
}

.header-menu a {
  color: #0a0a0a;
  font-size: 16px;
  font-weight: 500;
  line-height: 21px;
  text-align: center;
  letter-spacing: 0.2em;
}

.bag {
  position: relative;
}

.nav__counter {
  position: absolute;
  right: -9px;
  top: -4px;
  background: #f03d3d;
  border-radius: 100px;
  width: 18px;
  height: 18px;
  font-size: 12px;
  font-weight: 700;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
}

</style>